Unverified Commit 1b8799c6 authored by dependabot[bot]'s avatar dependabot[bot] Committed by GitHub
Browse files

Bump futures from 0.3.16 to 0.3.17 (#3742)

Bumps [futures](https://github.com/rust-lang/futures-rs) from 0.3.16 to 0.3.17.
- [Release notes](https://github.com/rust-lang/futures-rs/releases)
- [Changelog](https://github.com/rust-lang/futures-rs/blob/master/CHANGELOG.md)
- [Commits](https://github.com/rust-lang/futures-rs/compare/0.3.16...0.3.17

)

---
updated-dependencies:
- dependency-name: futures
  dependency-type: direct:production
  update-type: version-update:semver-patch
...
Signed-off-by: default avatardependabot[bot] <support@github.com>
Co-authored-by: default avatardependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
parent 977ad94c
Pipeline #155555 failed with stages
in 26 minutes and 39 seconds
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.15"
futures = "0.3.17"
lru = "0.6.6"
rand = "0.8.3"
thiserror = "1.0.26"
......
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.15"
futures = "0.3.17"
tracing = "0.1.26"
polkadot-primitives = { path = "../../../primitives" }
polkadot-subsystem = { package = "polkadot-node-subsystem", path = "../../subsystem" }
......
......@@ -6,7 +6,7 @@ edition = "2018"
[dependencies]
async-trait = "0.1.51"
futures = "0.3.15"
futures = "0.3.17"
tracing = "0.1.26"
polkadot-primitives = { path = "../../../primitives" }
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
......
......@@ -7,7 +7,7 @@ edition = "2018"
[dependencies]
always-assert = "0.1.2"
derive_more = "0.99.14"
futures = "0.3.15"
futures = "0.3.17"
futures-timer = "3"
thiserror = "1.0.26"
tracing = "0.1.26"
......
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.15"
futures = "0.3.17"
tracing = "0.1.26"
derive_more = "0.99.14"
parity-scale-codec = { version = "2.0.0", features = ["std"] }
......
......@@ -14,7 +14,7 @@ polkadot-node-subsystem = { path = "../../subsystem" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
polkadot-primitives = { path = "../../../primitives" }
futures = "0.3.15"
futures = "0.3.17"
rand = { version = "0.8.3", default-features = false }
rand_chacha = { version = "0.3.1", default-features = false }
tracing = "0.1.26"
......
......@@ -15,5 +15,5 @@ sc-network = { git = "https://github.com/paritytech/substrate", branch = "master
sc-authority-discovery = { git = "https://github.com/paritytech/substrate", branch = "master" }
strum = { version = "0.21", features = ["derive"] }
derive_more = "0.99.11"
futures = "0.3.15"
futures = "0.3.17"
thiserror = "1.0.26"
......@@ -6,7 +6,7 @@ description = "Statement Distribution Subsystem"
edition = "2018"
[dependencies]
futures = "0.3.15"
futures = "0.3.17"
tracing = "0.1.26"
polkadot-primitives = { path = "../../../primitives" }
sp-staking = { git = "https://github.com/paritytech/substrate", branch = "master", default-features = false }
......
......@@ -7,7 +7,7 @@ edition = "2018"
[dependencies]
client = { package = "sc-client-api", git = "https://github.com/paritytech/substrate", branch = "master" }
sp-api = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures = "0.3.15"
futures = "0.3.17"
futures-timer = "3.0.2"
parking_lot = "0.11.1"
polkadot-node-network-protocol = { path = "../network/protocol" }
......@@ -23,7 +23,7 @@ lru = "0.6"
[dev-dependencies]
metered-channel = { path = "../metered-channel" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures = { version = "0.3.15", features = ["thread-pool"] }
futures = { version = "0.3.17", features = ["thread-pool"] }
femme = "2.1.1"
assert_matches = "1.4.0"
......
......@@ -7,7 +7,7 @@ description = "Primitives types for the Node-side"
[dependencies]
bounded-vec = "0.4"
futures = "0.3.15"
futures = "0.3.17"
polkadot-primitives = { path = "../../primitives" }
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
......
......@@ -60,7 +60,7 @@ frame-system-rpc-runtime-api = { git = "https://github.com/paritytech/substrate"
prometheus-endpoint = { package = "substrate-prometheus-endpoint", git = "https://github.com/paritytech/substrate", branch = "master" }
# External Crates
futures = "0.3.15"
futures = "0.3.17"
hex-literal = "0.3.3"
tracing = "0.1.26"
serde = { version = "1.0.130", features = ["derive"] }
......
......@@ -7,7 +7,7 @@ description = "Subsystem traits and message definitions"
[dependencies]
async-trait = "0.1.51"
futures = "0.3.15"
futures = "0.3.17"
parking_lot = "0.11.1"
polkadot-node-subsystem = { path = "../subsystem" }
polkadot-node-subsystem-util = { path = "../subsystem-util" }
......
......@@ -7,7 +7,7 @@ description = "Subsystem traits and message definitions"
[dependencies]
derive_more = "0.99.11"
futures = "0.3.12"
futures = "0.3.17"
polkadot-primitives = { path = "../../primitives" }
polkadot-node-primitives = { path = "../primitives" }
polkadot-node-network-protocol = { path = "../network/protocol" }
......
......@@ -7,7 +7,7 @@ description = "Subsystem traits and message definitions"
[dependencies]
async-trait = "0.1.51"
futures = "0.3.15"
futures = "0.3.17"
itertools = "0.10"
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
pin-project = "1.0.8"
......@@ -32,6 +32,6 @@ sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "maste
[dev-dependencies]
assert_matches = "1.4.0"
env_logger = "0.9.0"
futures = { version = "0.3.15", features = ["thread-pool"] }
futures = { version = "0.3.17", features = ["thread-pool"] }
log = "0.4.13"
polkadot-node-subsystem-test-helpers = { path = "../subsystem-test-helpers" }
......@@ -30,4 +30,4 @@ sp-state-machine = { git = "https://github.com/paritytech/substrate", branch = "
[dev-dependencies]
sp-keyring = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures = "0.3.15"
futures = "0.3.17"
......@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
futures = "0.3.15"
futures = "0.3.17"
futures01 = { package = "futures", version = "0.1.29" }
hex = "0.4.3"
tracing = "0.1.26"
......
......@@ -15,7 +15,7 @@ path = "bin/puppet_worker.rs"
[dependencies]
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
futures = "0.3.15"
futures = "0.3.17"
futures-timer = "3.0.2"
log = "0.4.13"
structopt = "0.3.21"
......
......@@ -42,7 +42,7 @@ rand = { version = "0.8.3", default-features = false }
rand_chacha = { version = "0.3.1", default-features = false }
[dev-dependencies]
futures = "0.3.15"
futures = "0.3.17"
hex-literal = "0.3.3"
keyring = { package = "sp-keyring", git = "https://github.com/paritytech/substrate", branch = "master" }
frame-support-test = { git = "https://github.com/paritytech/substrate", branch = "master" }
......
......@@ -8,7 +8,7 @@ version = "0.9.9"
[dependencies]
frame-support = { git = "https://github.com/paritytech/substrate", branch = "master", default-features = false }
frame-system = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures = "0.3.15"
futures = "0.3.17"
pallet-xcm = { path = "../../pallet-xcm" }
polkadot-test-client = { path = "../../../node/test/client" }
polkadot-test-runtime = { path = "../../../runtime/test-runtime" }
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment